# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  # Pick a unique cookie name to distinguish our session data from others'
  session :session_key => '_auction_session_id'

  before_filter :get_user

  def get_user
    @user = User.find(session[:uid]) if session[:uid]
  end

  def require_user
    return false unless @user
  end
  
  def require_admin
    return false unless @user && @user.admin
    @admin_session = true
  end
  
end
