class SessionsController < ApplicationController

  before_filter :not_logged_in, :only => %w{new create}

  def not_logged_in
    not @user
  end
  private :not_logged_in

  def new
  end

  def destroy
    session[:uid] = nil
    flash[:notice] = "Thanks for visiting!"
    redirect_to :top_url
  end

  def create
    specs = params[:user]
    @user = User.find_by_nick(specs[:nick])
    if @user && @user.authorize(specs[:password])
      flash[:notice] = "Welcome, #{@user.first_name}!"
      session[:uid] = @user.id
      redirect_to :top_url
    else
      flash[:notice] = "Login invalid -- please try again"
      redirect_to :action => "new"
    end
  end
      
end
