class UsersController < ApplicationController

  before_filter :require_admin, :only => %w{ destroy }
  
  def index
    @users = User.find(:all)
  end
  
  def new
  end

  def create
    @user = User.new(params[:user])
    @user.hashed_password = Digest::SHA1.hexdigest(@user.password)
    @user.build_contact(params[:contact])
    if @user.save
      flash[:notice] = "User created!"
      session[:uid] = @user.id
      redirect_to :top_url
    else
      render :action => "new"
    end 
  end

  def show
    @user = User.find(params[:id])
  end

  def destroy
    @user = User.find(params[:id])
    @user.destroy
    flash[:notice] = "User deleted!"
    redirect_to :top_url
  end

end
