require File.dirname(__FILE__) + '/../test_helper'
require 'users_controller'

# Re-raise errors caught by the controller.
class UsersController; def rescue_action(e) raise e end; end

class UsersControllerTest < Test::Unit::TestCase
  fixtures :users
  def setup
    @controller = UsersController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_signup
    user = { :first_name => "David", :middle_name => "Alan",
             :last_name => "Black", :nick => "dablack", :password => "lot17" }
    contact = { :street => "123 Main Street", :city => "Anywhere" }
    post("create", :user => user, :contact => contact)
    assert_response(:redirect)
    m = User.find_by_nick("dablack")
    c = Contact.find_by_street("123 Main Street")
    assert(m && c)
    assert_equal(c, m.contact)
  end

end
