require File.dirname(__FILE__) + '/../test_helper'

class AuctionTest < Test::Unit::TestCase
  fixtures :auctions, :bids, :users, :items

  def setup
    @bow_auction = auctions(:bow)
    @m1 = users(:m1)
  end

  def test_highest_bid
    assert_equal(1200, @bow_auction.highest_bid.amount)
  end

  def test_current_highest_cant_rebid
    bidder = @bow_auction.highest_bid.bidder
    until @bow_auction.reload.reserve_met?
      bidder.bid_on(@bow_auction)
    end
    assert(!bidder.bid_on(@bow_auction))
  end

  def test_cant_bid_on_finished_auction
    @bow_auction.complete
    bidders = @bow_auction.bidders
    loser = bidders.to_a.find {|b| b != @bow_auction.winner}
    assert(!loser.bid_on(@bow_auction))
  end
end
